package gotowe.p30_lambdy.html;

import javax.swing.JLabel;
import javax.swing.JOptionPane;

/** Klasa zgodna z tym interfejsem posiada zdolność tworzenia HTML-a.
 * Na obiekcie można wywołać metodę toHTML() i otrzymać fragment kodu HTML z danymi tego obiektu.
 */
public interface HTMLable {
	String toHTML();
	
	default void showHTML() {
		JLabel label = new JLabel("<html>" + toHTML() + "</html>");
		JOptionPane.showMessageDialog(null, label);
	}
}
